KILL(3PVM)

NAME
pvm_kill - Terminates a specified PVM process.

SYNOPSIS
C	int info = pvm_kill( int tid )
Fortran	call pvmfkill( tid, info )

PARAMETERS

tid Integer task identifier of the PVM process to be killed (not yourself).

info
    Integer status code returned by the routine. Values less than zero indicate an error.

DESCRIPTION
The routine pvm_kill sends a terminate (SIGTERM) signal to the PVM process identified by tid. In the case of multiprocessors the terminate signal is replaced with a host dependent method for killing a process. If pvm_kill is successful, info will be 0. If some error occurs then info will be < 0.

pvm_kill is not designed to kill the calling process. To kill yourself in C call pvm_exit() followed by exit(). To kill yourself in Fortran call pvmfexit followed by stop.

EXAMPLES
C:
	info = pvm_kill( tid );

Fortran:
	CALL PVMFKILL( TID, INFO )

ERRORS
These error conditions can be returned by pvm_kill

PvmBadParam
    giving an invalid tid value.

PvmSysErr
    pvmd not responding.

SEE ALSO
pvm_exit(3PVM), pvm_halt(3PVM)